body{
    padding: 20px;
}

h1, h2, h3{
    color: #0088dd;
    font-weight: normal;
    margin: 0px;
}

h1{
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-size: 250%;
    text-shadow: 2px 2px 2px  #666666;
    padding-bottom: 10px;
}

h2{
    font-family: "Gill Sans", Arial, sans-serif;
    font-size: 90%;
    text-transform: uppercase;
    letter-spacing: 0.2em;
}

h3{
    font-size: 150%;
}

.intro{
    font-weight: bold;
}

p{
    color: #665544;
    line-height: 1.4em;
    font-family: Arial, Verdana, sans-serif;

}

.credits{
    text-align: right;
    font-style: italic;
}

a{
    text-decoration: none;
    color: #0088dd;
    font-weight: normal;
}

a:hover{
    text-decoration: underline;
}

:root{--grey:#0088dd;
    --white:#fff;
    --optional:#D1D1D1;
  }
.btn{
    display: flex;
    align-items: flex-end;
    width: 300px;
    height: 50vh;
    margin: auto;
}
.btn-but{
  display: flex;
 justify-content: center;
 align-items: center;
 background: none;
 color: var(--black);
 border: 2px solid black;
 text-transform: capitalize;
 font-size: 20px;
 margin: 30px auto;
 padding: 15px 25px;
 border-radius: 5px;
 position: relative;
 transition: color 0.3s ease-in-out;
 width: 180px;
 text-align: center;
 text-decoration: none;
}

.btn-but::before{
content: "";
position: absolute;
width: 0;height: 100%;
background: var(--grey);
top: 0;left: 0;
transition: width 0.3s ease-in-out;
z-index: -1;
}
.btn-but:hover::before{width: 100%;}

.btn-but:hover{color: var(--white);}
